summaryrefslogtreecommitdiff
path: root/tests/df/total-unprocessed.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-08-30 14:13:12 +0200
committerJim Meyering <meyering@redhat.com>2012-08-30 18:55:59 +0200
commit9eb4c31eb78c28dd9f72d1cbb940270311be343c (patch)
treeea3078bc1b002a9f948ed41445ca32318002a1d3 /tests/df/total-unprocessed.sh
parent00f5ba15dd91a3d9780fe1fbd06a4df436ae6714 (diff)
downloadcoreutils-9eb4c31eb78c28dd9f72d1cbb940270311be343c.tar.xz
tests: add .sh and .pl suffixes to shell and perl tests, respectively
Not only this shrinks the size of the generated Makefile (from > 6300 lines to ~3000), but will allow further simplifications in future changes. * tests/Makefile.am (TEST_EXTENSIONS): Add '.sh' and '.pl'. (PL_LOG_COMPILER, SH_LOG_COMPILER): New, still defined simply to $(LOG_COMPILER) for the time being. (TESTS, root_tests): Adjust as described. * All tests: Rename as described.
Diffstat (limited to 'tests/df/total-unprocessed.sh')
-rwxr-xr-xtests/df/total-unprocessed.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/tests/df/total-unprocessed.sh b/tests/df/total-unprocessed.sh
new file mode 100755
index 000000000..aa4983683
--- /dev/null
+++ b/tests/df/total-unprocessed.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+# Ensure that df exits non-Zero and writes an error message when
+# --total is used but no file system has been processed.
+
+# Copyright (C) 2012 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+print_ver_ df
+require_mount_list_
+
+cat <<\EOF > exp || framework_failure_
+df: no file systems processed
+EOF
+
+# The following simply finds no match for the combination
+# of the options --local and FS-type nfs together with the
+# argument ".". It must exit non-Zero nonetheless.
+df --local -t nfs --total '.' 2>out && fail=1
+compare exp out || fail=1
+
+cat <<\EOF > exp || framework_failure_
+df: '_does_not_exist_': No such file or directory
+EOF
+
+# Ensure that df writes the error message also in the following case.
+df --total _does_not_exist_ 2>out && fail=1
+compare exp out || fail=1
+
+Exit $fail